org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class ValueMapTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.ValueMapTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.map.ValueMapTest.Traversals

- Enclosing class:
    ValueMapTest

      public static class ValueMapTest.Traversals
      extends ValueMapTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.ValueMapTest

      `ValueMapTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Map<Object,Object>>` | `get_g_V_hasLabelXpersonX_filterXoutEXcreatedXX_valueMap_withXtokensX()`
    `Traversal<Vertex,Map<Object,Object>>` | `get_g_V_valueMap_withXtokensX()`
    `Traversal<Vertex,Map<Object,List>>` | `get_g_V_valueMap()`
    `Traversal<Vertex,Map<Object,Object>>` | `get_g_V_valueMapXname_ageX_withXtokens_labelsX_byXunfoldX()`
    `Traversal<Vertex,Map<Object,Object>>` | `get_g_V_valueMapXname_ageX_withXtokensX()`
    `Traversal<Vertex,Map<Object,List>>` | `get_g_V_valueMapXname_ageX()`
    `Traversal<Vertex,Map<Object,Object>>` | `get_g_V_valueMapXtrue_name_ageX()`
    `Traversal<Vertex,Map<Object,Object>>` | `get_g_V_valueMapXtrueX()`
    `Traversal<Vertex,Map<Object,List<String>>>` | `get_g_VX1X_outXcreatedX_valueMap(Object v1Id)`
    `Traversal<Vertex,Map<Object,Object>>` | `get_g_VX1X_valueMapXname_locationX_byXunfoldX_by(Object v1Id)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.ValueMapTest

      `g_V_hasLabelXpersonX_filterXoutEXcreatedXX_valueMap_withXtokensX, g_V_valueMap_withXtokensX, g_V_valueMap, g_V_valueMapXname_ageX_withXtokens_labelsX_byXunfoldX, g_V_valueMapXname_ageX_withXtokensX, g_V_valueMapXname_ageX, g_VX1X_outXcreatedX_valueMap, g_VX1X_valueMapXname_locationX_byXunfoldX_by`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_valueMap

          public Traversal<Vertex,Map<Object,List>> get_g_V_valueMap()

      Specified by:
        `get_g_V_valueMap` in class `ValueMapTest`

    - #### get_g_V_valueMapXtrueX

          public Traversal<Vertex,Map<Object,Object>> get_g_V_valueMapXtrueX()

      Specified by:
        `get_g_V_valueMapXtrueX` in class `ValueMapTest`

    - #### get_g_V_valueMap_withXtokensX

          public Traversal<Vertex,Map<Object,Object>> get_g_V_valueMap_withXtokensX()

      Specified by:
        `get_g_V_valueMap_withXtokensX` in class `ValueMapTest`

    - #### get_g_V_valueMapXname_ageX

          public Traversal<Vertex,Map<Object,List>> get_g_V_valueMapXname_ageX()

      Specified by:
        `get_g_V_valueMapXname_ageX` in class `ValueMapTest`

    - #### get_g_V_valueMapXtrue_name_ageX

          public Traversal<Vertex,Map<Object,Object>> get_g_V_valueMapXtrue_name_ageX()

      Specified by:
        `get_g_V_valueMapXtrue_name_ageX` in class `ValueMapTest`

    - #### get_g_V_valueMapXname_ageX_withXtokensX

          public Traversal<Vertex,Map<Object,Object>> get_g_V_valueMapXname_ageX_withXtokensX()

      Specified by:
        `get_g_V_valueMapXname_ageX_withXtokensX` in class `ValueMapTest`

    - #### get_g_V_valueMapXname_ageX_withXtokens_labelsX_byXunfoldX

          public Traversal<Vertex,Map<Object,Object>> get_g_V_valueMapXname_ageX_withXtokens_labelsX_byXunfoldX()

      Specified by:
        `get_g_V_valueMapXname_ageX_withXtokens_labelsX_byXunfoldX` in class `ValueMapTest`

    - #### get_g_VX1X_outXcreatedX_valueMap

          public Traversal<Vertex,Map<Object,List<String>>> get_g_VX1X_outXcreatedX_valueMap(Object v1Id)

      Specified by:
        `get_g_VX1X_outXcreatedX_valueMap` in class `ValueMapTest`

    - #### get_g_V_hasLabelXpersonX_filterXoutEXcreatedXX_valueMap_withXtokensX

          public Traversal<Vertex,Map<Object,Object>> get_g_V_hasLabelXpersonX_filterXoutEXcreatedXX_valueMap_withXtokensX()

      Specified by:
        `get_g_V_hasLabelXpersonX_filterXoutEXcreatedXX_valueMap_withXtokensX` in class `ValueMapTest`

    - #### get_g_VX1X_valueMapXname_locationX_byXunfoldX_by

          public Traversal<Vertex,Map<Object,Object>> get_g_VX1X_valueMapXname_locationX_byXunfoldX_by(Object v1Id)

      Specified by:
        `get_g_VX1X_valueMapXname_locationX_byXunfoldX_by` in class `ValueMapTest`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.